Subject: RE: I-D ACTION:draft-levy-megaco-mgdiscovery-00.txt

From: Roni Even <[email-masked]>
Date: Thu, 22 Feb 2001 18:00:58 +0200

Hello Thomas,
Thanks  for the reply. Your suggestion about 2 media functions does not
solve my problem since the termination can do 723 or GSM. For example
suppose that MG1 is able to handle 8 media encoding conversions from PMCU to
G.723 OR 6 media conversions from PMCU to GSM. Now the MGC allocate a media
conversion from PMCU to GSM the remaining resources on the MG1 will be 6
media encoding conversions from PMCU to G.723 OR 5 media conversions from
PMCU to GSM. How can this be expressed.

Roni Even

-----Original Message-----
From: Thomas LEVY [mailto:[email-masked]]
Sent: Thursday, February 22, 2001 2:17 PM
To: Roni Even
Cc: [email-masked]'
Subject: Re: I-D ACTION:draft-levy-megaco-mgdiscovery-00.txt

Hello Roni,

I suppose that you are talking about the second proposed solution in the
draft.

Roni Even wrote:

> Thomas,
> I read your document and have two question.
>
> 1. Is it possible to describe alternative media function. For example in
the
> call flow example (7.3) in the second example suppose that MG1 is able to
> handle 8 media encoding conversions from PMCU to G.723 OR 6 media
> conversions from PMCU to GSM. How can I describe such functionality.

The case where you have 2 alternative MediaFunctions with different
cardinality
is not taken into account in this draft. This should be an interresting
point to
add for an evolution.
However, there should some approximate solution to your problem.
You could use 2 media functions to express you case:
The first MediaFunction having the following description PCMU-G723|GSM with
cardinality 6.
The second with the following description PCMU-G723 with cardinality 2.

>
> 2. Is the MediaResource descriptor an optional parameter to the Service
> Change

It is not mandatory, since the document is only an informational draft.

> Thanks
> Roni Even
> Accord Networks

Thomas LEVY,

---

From: Thomas LEVY <[email-masked]>
Date: Mon, 26 Feb 2001 14:07:14 +0100

Roni,

If I do understand well your example: a particular resource of MG1 is able to
handle 8 media encoding conversions from PMCU to G.723 OR 6 media conversions
from PCMU to GSM.
This could also mean that the resource may handle 4 media encoding conversions
from PCMU to G.723 AND 3 media conversions from PCMU to GSM simultaneously.

The model representing this should be something like:
MG1 is made of 1 media processing "unit" (may be not the only one).
This particular "unit" is able to perform:
    -PCMU to G.723 conversion which cost is 1/8 of the unit
    -PCMU to GSM conversion which cost is 1/6 of the unit
Does this model raise any commentary?

Thomas,